This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 184231 - Error detected when typing on panel applet
Error detected when typing on panel applet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: deskbar-applet (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 11:01 EST by Zuirdj
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.14.0-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 17:40:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a gif with a desktop record, showing the error when typing in the text dialogue (988.95 KB, image/gif)
2006-03-14 09:07 EST, Zuirdj
no flags Details
deskbar snapshot with working application (51.59 KB, image/png)
2006-03-14 10:08 EST, Zuirdj
no flags Details
deskbar apllet with bugzilla plugin enabled (49.58 KB, image/png)
2006-03-14 10:15 EST, Zuirdj
no flags Details

  None (edit)
Description Zuirdj 2006-03-07 11:01:47 EST
Description of problem:
When typing on deskbar-applet, after each letter, an window error appears:

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/deskbar/DeskbarApplet.py", line 112, in
on_start_query_real
    for match in matches:
TypeError: iteration over non-sequence

When clicking enter, another error:

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/deskbar/ui/entriac/CuemiacEntryUI.py",
line 343, in on_entry_activate
    while (not self.model.iter_has_child(iter)) or (not
self.cview.row_expanded(self.model.get_path(iter))):
TypeError: iter should be a GtkTreeIter


Version-Release number of selected component (if applicable):
2.13.91-3.fc5


How reproducible:
Every time I want to search something

Steps to Reproduce:
1.install deskbar-applet
2.add it to panel
3.try writing a word in the dialog.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Tackaberry 2006-03-09 20:53:12 EST
This is fixed upstream:

   https://launchpad.net/products/deskbar-applet/+bug/33317
Comment 2 Ignacio Vazquez-Abrams 2006-03-13 19:38:41 EST
Please verify that the new release solves this.
Comment 3 Jason Tackaberry 2006-03-13 20:34:22 EST
I am not the original reporter of this bug, but I was experiencing the same
problem, and updating to the new release (2.14.0-1.fc5) fixes the issue for me.
Comment 4 Zuirdj 2006-03-14 08:59:54 EST
New version didn't work for me, but the second error reported doesn't appear
anymore. I'll attach a gif with showing the error.
Comment 5 Zuirdj 2006-03-14 09:07:13 EST
Created attachment 126100 [details]
a gif with a desktop record, showing the error when typing in the text dialogue
Comment 6 Ignacio Vazquez-Abrams 2006-03-14 09:41:06 EST
Which plugins do you have enabled? If you have the Fedora Bugzilla plugin
enabled then disable it and see if the problem still shows.
Comment 7 Zuirdj 2006-03-14 10:08:40 EST
Created attachment 126105 [details]
deskbar snapshot with working application

Ok. Disabling Fedora Bugzilla plugin, deskbar works fine, no error dialogue.
Even the search is more complete. When Bugzilla plugin was enabled, search
indexed only yahoo results.
Comment 8 Zuirdj 2006-03-14 10:15:49 EST
Created attachment 126106 [details]
deskbar apllet with bugzilla plugin enabled

When bugzilla plugin enabled, typing a number (like this bug), error dialogue
doesn't appear. But typing just a single letter, error dialogue returns.
Comment 9 Ignacio Vazquez-Abrams 2006-03-14 10:19:05 EST
Okay, I think I've found the problem. The next publish should have the fix.
Comment 10 Ignacio Vazquez-Abrams 2006-03-14 12:31:05 EST
Alright, give the new release a try.
Comment 11 Zuirdj 2006-03-14 17:27:18 EST
New version 2.14.0-2.fc5 works ok for me. Thanks for the effort!!!

Note You need to log in before you can comment on or make changes to this bug.